package jp.agentec.abook.abv.bl.dto;

import java.util.Date;

/**
 * Created by kim jinsung on 2018/09/17.
 */

public class PushMessageDto extends AbstractDto {
    public Long pushMessageId;
    public Long operationId;
    public Date pushSendDate;
    public String pushMessage;
    public String operationName;
    public boolean readingFlg;

    @Override
    public String[] getKeyValues() {
        return new String [] { "" + pushMessageId  };
    }

    @Override
    public Object[] getInsertValues() {
        return new Object[] { pushMessageId, operationId, pushSendDate, pushMessage, readingFlg  };
    }
}
